Community discussions

 
ibeeby
newbie
Topic Author
Posts: 45
Joined: Tue Dec 12, 2006 8:49 am
Location: Matlock, England
Contact:

Certificate does not install...

Thu Aug 05, 2010 8:42 am

I do hope that this is not an FAQ...

I created a certificate using my account at CACert and tried to install it using clear instructions here: http://wiki.mikrotik.com/wiki/OpenVPN

It does not install.

I _can_ and have installed the CACert Root CA - no problem - but for some reason I get no error when attempting to install the certificate, and no result either. I have tried this in the winbox gui and the commant line.

Router is an RB/433UAH and the OS version is 4.9 (which all of my routers are currently running and I should prefer not to have to upgrade unless there is a known bug in this area as have otherwise just got a stable network).

Computer is a Mac and I used TextEdit to create the .pem file from the CACert screen.

Any thoughts gratefully received.

Objective is to upgrade VPN on core network from pptp to OpenVPN.

Ian
 
ibeeby
newbie
Topic Author
Posts: 45
Joined: Tue Dec 12, 2006 8:49 am
Location: Matlock, England
Contact:

Re: Certificate does not install...

Thu Aug 05, 2010 9:23 am

SORTED

No sooner had I posted the above than it dawned on me that there may be a problem with the editor used to save the certificate. I had used TextEdit, the standard OS X text and programming editor - but I do remember having to use, for instance, BBEdit when editing .html files in order to preserve line breaks etc.

So I downloaded BBEdit and used that and Hey Presto! Installation via winbox worked just as indicated.

Sorry if this wasted anyone's time. BBEdit is not free - I will now look for a free programmer's editor and add this to the thread for the impecunious mac users out there...

Ian
 
ibeeby
newbie
Topic Author
Posts: 45
Joined: Tue Dec 12, 2006 8:49 am
Location: Matlock, England
Contact:

Re: Certificate does not install...

Wed Aug 11, 2010 4:33 pm

I can now report that Fraise is an appropriate (and FREE) programmers' editor for OS X - tested on my iMac (Intel) under OS X 10.6.4

Ian
 
fewi
Forum Guru
Forum Guru
Posts: 7734
Joined: Tue Aug 11, 2009 3:19 am

Re: Certificate does not install...

Wed Aug 11, 2010 4:35 pm

Applications > Utilities > Terminal > vim

Or emacs, if you're a heathen...

Who is online

Users browsing this forum: No registered users and 26 guests